GET /api/synthetics/monitors

Spaces method and path for this operation:

get /s/{space_id}/api/synthetics/monitors

Refer to Spaces for more information.

Get a list of monitors.

You must have read privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.

[Required authorization] Route required privileges: uptime-read.

Query parameters

  • query string

    A free-text query string.

    Maximum length is 4096.

  • filter string

    Additional KQL filtering criteria.

    Maximum length is 4096.

  • tags array[string]

    Tags to filter monitors. Accepts a string or an array of strings.

    Not more than 1000 elements. Maximum length of each is 4096.

  • monitorTypes array[string]

    The monitor types to filter by, such as http. Accepts a string or an array of strings.

    Not more than 1000 elements. Maximum length of each is 4096.

  • locations array[string]

    The location IDs to filter by. Accepts a string or an array of strings.

    Not more than 1000 elements. Maximum length of each is 4096.

  • projects array[string]

    The projects to filter by. Accepts a string or an array of strings.

    Not more than 1000 elements. Maximum length of each is 4096.

  • schedules array[string]

    The schedules to filter by. Accepts a string or an array of strings.

    Not more than 1000 elements. Maximum length of each is 4096.

  • remoteNames array[string]

    A string or an array of strings.

    Not more than 1000 elements. Maximum length of each is 4096.

  • status array[string]

    The monitor statuses to filter by. Accepts a string or an array of strings.

    Not more than 1000 elements. Maximum length of each is 4096.

  • monitorQueryIds array[string]

    The monitor query IDs to filter by. Accepts a string or an array of strings.

    Not more than 1000 elements. Maximum length of each is 4096.

  • configIds array[string]

    The monitor config IDs to filter by. Accepts a string or an array of strings.

    Not more than 1000 elements. Maximum length of each is 4096.

  • showFromAllSpaces string | boolean

    If true, return monitors from all spaces the user can access.

    Values are true or false.

  • useLogicalAndFor array[string]

    Apply logical AND for tags and/or locations. Accepts a string or an array.

    Not more than 1000 elements. Values are tags or locations.

  • dateRangeStart string

    The start of the status window, as datemath (now-15m) or an ISO-8601 timestamp.

    Maximum length is 4096.

  • dateRangeEnd string

    The end of the status window, as datemath (now) or an ISO-8601 timestamp.

    Maximum length is 4096.

  • page number

    The page number for paginated results.

  • perPage number

    The number of items to return per page.

  • sortField string

    The field to sort the results by.

    Values are enabled, status, updated_at, created_at, urls, name, tags, project_id, type, schedule, or journey_id.

  • sortOrder string

    The sort order.

    Values are desc or asc.

  • searchAfter array[string]

    A JSON array of sort values from the previous page, for cursor-based paging.

    Not more than 50 elements. Maximum length of each is 4096.

Responses

  • 200 application/json

    A successful response.

    Hide response attributes Show response attributes object
    • absoluteTotal integer
    • monitors array[object]

      Additional properties are allowed.

    • page integer
    • perPage integer
    • total integer
GET /api/synthetics/monitors
curl \
  -X GET "${KIBANA_URL}/api/synthetics/monitors" \
  -H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/synthetics/monitors
Response examples (200)
A successful response from `GET /api/synthetics/monitors?tags=prod&monitorTypes=http&locations=us-east-1&projects=project1&status=up`.
{
  "absoluteTotal": 24,
  "monitors": [
    {
      "alert": {
        "status": {
          "enabled": true
        },
        "tls": {
          "enabled": true
        }
      },
      "config_id": "e59142e5-1fe3-4aae-b0b0-19d6345e65a1",
      "created_at": "2023-11-07T09:57:04.152Z",
      "enabled": false,
      "host": "8.8.8.8:80",
      "id": "e59142e5-1fe3-4aae-b0b0-19d6345e65a1",
      "ipv4": true,
      "ipv6": true,
      "locations": [
        {
          "geo": {
            "lat": 41.25,
            "lon": -95.86
          },
          "id": "us_central",
          "isServiceManaged": true,
          "label": "North America - US Central"
        }
      ],
      "max_attempts": 2,
      "mode": "all",
      "name": "8.8.8.8:80",
      "namespace": "default",
      "origin": "ui",
      "revision": 3,
      "schedule": {
        "number": "3",
        "unit": "m"
      },
      "timeout": "16",
      "type": "icmp",
      "updated_at": "2023-12-04T19:19:34.039Z",
      "wait": "7"
    }
  ],
  "page": 1,
  "perPage": 10,
  "total": 24
}